Bug 860289 - selinux-policy-devel and pam file conflict
selinux-policy-devel and pam file conflict
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy (Show other bugs)
7.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
Milos Malik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 09:37 EDT by Milan Zázrivec
Modified: 2016-09-13 03:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.11.1-20.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 09:26:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zázrivec 2012-09-25 09:37:45 EDT
Description of problem:
Installation of selinux-policy-devel package on RHEL-7 fails with
a file conflict:

# yum install selinux-policy-devel
Resolving Dependencies
--> Running transaction check
---> Package selinux-policy-devel.noarch 0:3.11.1-19.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved
===========================================================================
Package                                 Arch                      Version                             Repository               Size
===========================================================================
Installing:
 selinux-policy-devel                    noarch                    3.11.1-19.el7                       rhel                    1.6 M

Transaction Summary
===========================================================================

Install  1 Package

Total size: 1.6 M
Installed size: 8.2 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test


Transaction Check Error:
  file /usr/share/man/man8/pam_selinux.8.gz from install of selinux-policy-devel-3.11.1-19.el7.noarch conflicts with file from package pam-1.1.6-2.el7.x86_64

Error Summary
-------------



Version-Release number of selected component (if applicable):
selinux-policy-3.11.1-19.el7
pam-1.1.6-2.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install RHEL-7, make sure pam package is installed
2. yum install selinux-policy-devel
  
Actual results:
File conflict from above.

Expected results:
No file conflict.

Additional info:
N/A
Comment 1 Miroslav Grepl 2012-09-25 15:11:54 EDT
This is fixed in the latest RHEL7 policy.
Comment 4 Ludek Smid 2014-06-13 09:26:02 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.